# H225_AdmissionConfirm Class Reference

`#include <h225.h>`

Inheritance diagram for H225_AdmissionConfirm:

List of all members.

## Public Types

enum

OptionalFields {
e_irrFrequency, e_nonStandardData, e_destinationInfo, e_destExtraCallInfo,
e_destinationType, e_remoteExtensionAddress, e_alternateEndpoints, e_tokens,
e_cryptoTokens, e_integrityCheckValue, e_transportQOS, e_willRespondToIRR,
e_uuiesRequested, e_language, e_alternateTransportAddresses, e_useSpecifiedTransport,
e_circuitInfo, e_usageSpec, e_supportedProtocols, e_serviceControl,
e_multipleCalls, e_featureSet, e_genericData, e_modifiedSrcInfo,
e_assignedGatekeeper
}

## Public Member Functions

| H225_AdmissionConfirm (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_BandWidth | m_bandWidth
H225_CallModel | m_callModel
H225_TransportAddress | m_destCallSignalAddress
PASN_Integer | m_irrFrequency
H225_NonStandardParameter | m_nonStandardData
H225_ArrayOf_AliasAddress | m_destinationInfo
H225_ArrayOf_AliasAddress | m_destExtraCallInfo
H225_EndpointType | m_destinationType
H225_ArrayOf_AliasAddress | m_remoteExtensionAddress
H225_ArrayOf_Endpoint | m_alternateEndpoints
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
H225_TransportQOS | m_transportQOS
PASN_Boolean | m_willRespondToIRR
H225_UUIEsRequested | m_uuiesRequested
H225_AdmissionConfirm_language | m_language
H225_AlternateTransportAddresses | m_alternateTransportAddresses
H225_UseSpecifiedTransport | m_useSpecifiedTransport
H225_CircuitInfo | m_circuitInfo
H225_ArrayOf_RasUsageSpecification | m_usageSpec
H225_ArrayOf_SupportedProtocols | m_supportedProtocols
H225_ArrayOf_ServiceControlSession | m_serviceControl
PASN_Boolean | m_multipleCalls
H225_FeatureSet | m_featureSet
H225_ArrayOf_GenericData | m_genericData
H225_ArrayOf_AliasAddress | m_modifiedSrcInfo
H225_AlternateGK | m_assignedGatekeeper

## Member Enumeration Documentation

enum H225_AdmissionConfirm::OptionalFields

Enumerator:

  e_irrFrequency |
  e_nonStandardData |
  e_destinationInfo |
  e_destExtraCallInfo |
  e_destinationType |
  e_remoteExtensionAddress |
  e_alternateEndpoints |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_transportQOS |
  e_willRespondToIRR |
  e_uuiesRequested |
  e_language |
  e_alternateTransportAddresses |
  e_useSpecifiedTransport |
  e_circuitInfo |
  e_usageSpec |
  e_supportedProtocols |
  e_serviceControl |
  e_multipleCalls |
  e_featureSet |
  e_genericData |
  e_modifiedSrcInfo |
  e_assignedGatekeeper |

## Constructor & Destructor Documentation

H225_AdmissionConfirm::H225_AdmissionConfirm | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_AdmissionConfirm::GetDataLength | ( |  | ) | const

PBoolean H225_AdmissionConfirm::Decode | ( | PASN_Stream & | strm | ) |

void H225_AdmissionConfirm::Encode | ( | PASN_Stream & | strm | ) | const

void H225_AdmissionConfirm::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_AdmissionConfirm::Compare | ( | const PObject & | obj | ) | const

PObject* H225_AdmissionConfirm::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_AdmissionConfirm::m_requestSeqNum

H225_BandWidth H225_AdmissionConfirm::m_bandWidth

H225_CallModel H225_AdmissionConfirm::m_callModel

H225_TransportAddress H225_AdmissionConfirm::m_destCallSignalAddress

PASN_Integer H225_AdmissionConfirm::m_irrFrequency

H225_NonStandardParameter H225_AdmissionConfirm::m_nonStandardData

H225_ArrayOf_AliasAddress H225_AdmissionConfirm::m_destinationInfo

H225_ArrayOf_AliasAddress H225_AdmissionConfirm::m_destExtraCallInfo

H225_EndpointType H225_AdmissionConfirm::m_destinationType

H225_ArrayOf_AliasAddress H225_AdmissionConfirm::m_remoteExtensionAddress

H225_ArrayOf_Endpoint H225_AdmissionConfirm::m_alternateEndpoints

H225_ArrayOf_ClearToken H225_AdmissionConfirm::m_tokens

H225_ArrayOf_CryptoH323Token H225_AdmissionConfirm::m_cryptoTokens

H225_ICV H225_AdmissionConfirm::m_integrityCheckValue

H225_TransportQOS H225_AdmissionConfirm::m_transportQOS

PASN_Boolean H225_AdmissionConfirm::m_willRespondToIRR

H225_UUIEsRequested H225_AdmissionConfirm::m_uuiesRequested

H225_AdmissionConfirm_language H225_AdmissionConfirm::m_language

H225_AlternateTransportAddresses H225_AdmissionConfirm::m_alternateTransportAddresses

H225_UseSpecifiedTransport H225_AdmissionConfirm::m_useSpecifiedTransport

H225_CircuitInfo H225_AdmissionConfirm::m_circuitInfo

H225_ArrayOf_RasUsageSpecification H225_AdmissionConfirm::m_usageSpec

H225_ArrayOf_SupportedProtocols H225_AdmissionConfirm::m_supportedProtocols

H225_ArrayOf_ServiceControlSession H225_AdmissionConfirm::m_serviceControl

PASN_Boolean H225_AdmissionConfirm::m_multipleCalls

H225_FeatureSet H225_AdmissionConfirm::m_featureSet

H225_ArrayOf_GenericData H225_AdmissionConfirm::m_genericData

H225_ArrayOf_AliasAddress H225_AdmissionConfirm::m_modifiedSrcInfo

H225_AlternateGK H225_AdmissionConfirm::m_assignedGatekeeper

The documentation for this class was generated from the following file:

- h225.h